/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * BandAndPower.hpp
 *
 *  Created on: 2010/12/20
 *      Author: HARK Development Team
 */

#ifndef BANDANDPOWER_HPP_
#define BANDANDPOWER_HPP_

#include <Band.hpp>

namespace NSHarkBinaural
{

/**
 * 周波数バンドと、そのバンドのパワーの組を表す.
 */
struct BandAndPower
{
    /// 周波数バンド.
    Band band;
    /// パワー（デシベル表示）.
    double power;

    BandAndPower()
        : band(), power(0.0)
    { }

    BandAndPower(Band band, double power)
        : band(band), power(power)
    { }
};

}

#endif /* BANDANDPOWER_HPP_ */
